> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Integration

> Remove an integration from the workspace.

Any of the following permissions is required:
* `manage-incoming-integrations`
* `manage-own-incoming-integrations`
* `manage-outgoing-integrations`
* `manage-own-outgoing-integrations`
### Changelog
| Version      | Description |
| ---------------- | ------------|
|1.1.0            | Separate permissions in incoming and outgoing.       |
|0.49.0            | Added       |

## OpenAPI

````json POST /api/v1/integrations.remove
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Integrations"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/integrations.remove": {
      "post": {
        "tags": [
          "Integration"
        ],
        "summary": "Remove Integration",
        "description": "Remove an integration from the workspace.\n\nAny of the following permissions is required:\n* `manage-incoming-integrations`\n* `manage-own-incoming-integrations`\n* `manage-outgoing-integrations`\n* `manage-own-outgoing-integrations`\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|1.1.0            | Separate permissions in incoming and outgoing.       |\n|0.49.0            | Added       |",
        "operationId": "post-api-v1-integrations.remove",
        "parameters": [
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          },
          {
            "$ref": "#/components/parameters/X-User-Id"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "integrationId": {
                    "type": "string",
                    "description": "The integration ID to remove."
                  },
                  "type": {
                    "type": "string",
                    "description": "The type of integration. The possible values are:\r\n* `webhook-outgoing`\r\n* `webhook-incoming`"
                  }
                },
                "required": [
                  "integrationId",
                  "type"
                ]
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "integrationId": "oNLthAt9RwMw39N2B",
                    "type": "webhook-outgoing"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "integration": {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string"
                        },
                        "username": {
                          "type": "string"
                        },
                        "channel": {
                          "type": "boolean"
                        },
                        "scriptEnabled": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "enabled": {
                          "type": "string"
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Incoming integration example": {
                    "value": {
                      "integration": {
                        "type": "webhook-incoming",
                        "username": "rocket.cat",
                        "channel": "false",
                        "scriptEnabled": "sendMessage",
                        "name": "sendMessage",
                        "enabled": "sendMessage"
                      }
                    }
                  },
                  "Outgoing integration example": {
                    "value": {
                      "integration": {
                        "_id": "oNLthAt9RwMw39N2B",
                        "type": "webhook-outgoing",
                        "name": "Testing via REST API",
                        "enabled": "false",
                        "username": "rocket.cat",
                        "urls": [
                          "http://text2gif.guggy.com/guggify"
                        ],
                        "scriptEnabled": "false",
                        "userId": "rocket.cat",
                        "channel": [],
                        "_createdAt": "2017-01-06T13:42:14.143Z",
                        "_createdBy": {
                          "username": "graywolf336",
                          "_id": "R4jgcQaQhvvK6K3iY"
                        },
                        "_updatedAt": "2017-01-06T13:42:14.144Z"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'type'\n must have required property 'type'\n must have required property 'type'\n must match exactly one schema in oneOf [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  },
                  "Example 2": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'integrationId'\n must have required property 'target_url'\n must have required property 'integrationId'\n must match exactly one schema in oneOf [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  },
                  "Example 3": {
                    "value": {
                      "success": "false",
                      "error": "No integration found."
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The authorization token of the user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "9HqLlyZOugD_0YdwAJF8V47U3QHXSq"
      },
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The user ID of the user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "aobEdbYhXfu5hkeqG"
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

